#define draw_button_sprite
// http://www.gm-d.de/wbb/game-maker/game-maker-programmierung/erweiterungen-tools/21176-easybutton-buttons-zeichnen-und-abfrage/
// EasyButton by derkimba
//draw_button_sprite(x1,y1,spr,ii_0,ii_1,mb,typ) liefert true zurck wenn er gedrckt wird, sonst false
var x1,y1,spr,ii_0,ii_1;
x1 = argument0 // x position
y1 = argument1 // y position
spr = argument2 // sprite name
ii_0 = argument3 // normaler image_index
ii_1 = argument4 // image_index wenn maus ber dem button ist
mb = argument5 // Linke Maustaste: mb_left oder rechte Maustaste: mb_right
typ = argument6 // 0 = pressed ; 1 = released ; 2 = gedrckt halten
if(mouse_x > x1 && mouse_x < x1+sprite_get_width(spr) && mouse_y > y1 && mouse_y < y1+sprite_get_height(spr))
    {
    draw_sprite(spr,ii_1,x1,y1)
    switch(typ)
        {
        case 0:
            return(mouse_check_button_pressed(mb))
        case 1:
            return(mouse_check_button_released(mb))
        case 2:
            return(mouse_check_button(mb))
        }
    }
else
    {
    draw_sprite(spr,ii_0,x1,y1)
    return false;
    }

#define draw_button_sprite_typ
// http://www.gm-d.de/wbb/game-maker/game-maker-programmierung/erweiterungen-tools/21176-easybutton-buttons-zeichnen-und-abfrage/
// EasyButton by derkimba
//draw_button_sprite_typ(x1,y1,spr,ii_0,ii_1,mb) liefert den typ zurck
var x1,y1,spr,ii_0,ii_1;
x1 = argument0 // x position
y1 = argument1 // y position
spr = argument2 // sprite name
ii_0 = argument3 // normaler image_index
ii_1 = argument4 // image_index wenn maus ber dem button ist
mb = argument5 // Linke Maustaste: mb_left oder rechte Maustaste: mb_right
// Liefert zurck: 0 = Maus nicht ber Button ; 1 = Maus ber Button ; 2 = Maus drckt den Button ; 
//3 = Maus lsst den Button los ; 4 = Whrend die Maus den Button drckt
if(mouse_x > x1 && mouse_x < x1+sprite_get_width(spr) && mouse_y > y1 && mouse_y < y1+sprite_get_height(spr))
    {
    draw_sprite(spr,ii_1,x1,y1)
    if(mouse_check_button_pressed(mb)) {return 2}
    if(mouse_check_button(mb)) {return 4}
    if(mouse_check_button_released(mb)) {return 3}
    return 1;
    }
else
    {
    draw_sprite(spr,ii_0,x1,y1)
    return 0;
    }

#define draw_button_button
// http://www.gm-d.de/wbb/game-maker/game-maker-programmierung/erweiterungen-tools/21176-easybutton-buttons-zeichnen-und-abfrage/
// EasyButton by derkimba
//draw_button_button(x1,y1,x2,y2,mb,typ,text,col_b,col_t,font)
var xx1,xx2,yy1,yy2,mb,typ,text,col_b,col_t,font;
xx1 = argument0 // x1 Position
yy1 = argument1 // y1 Position
xx2 = argument2 // x2 Position
yy2 = argument3 // y2 Position
mb = argument4 // Mousebutton (mb_left oder mb_right)
typ = argument5 // Art der berprfung(0 = Pressed ; 1 = Released ; 2 = Whrend)
text = argument6 // Text auf dem Button 
col_b = argument7 // Farbe des Buttons
col_t = argument8 // Farbe des Textes
font = argument9 // Font des Textes (0 fr das aktuelle Font)
//
if(font != 0) {draw_set_font(font)}
if(mouse_x > xx1 && mouse_x < xx2 && mouse_y > yy1 && mouse_y < yy2)
    {
    draw_set_color(col_b)
    draw_button(xx1,yy1,xx2,yy2,0)
    draw_set_color(col_t)
    draw_text(xx1+((xx2-xx1-string_width(text))/2),yy1+((yy2-yy1-string_height(text))/2),text)
    switch(typ)
        {
        case 0:
            return(mouse_check_button_pressed(mb))
        case 1:
            return(mouse_check_button_released(mb))
        case 2:
            return(mouse_check_button(mb))
        }
    } 
else
    {
    draw_set_color(col_b)
    draw_button(xx1,yy1,xx2,yy2,1)
    draw_set_color(col_t)
    draw_text(xx1+((xx2-xx1-string_width(text))/2),yy1+((yy2-yy1-string_height(text))/2),text)
    return false;
    }

#define draw_button_button_typ
// http://www.gm-d.de/wbb/game-maker/game-maker-programmierung/erweiterungen-tools/21176-easybutton-buttons-zeichnen-und-abfrage/
// EasyButton by derkimba
//draw_button_button_typ(x1,y1,x2,y2,mb,text,col_b,col_t,font) liefert den Typ zurck
var xx1,xx2,yy1,yy2,mb,text,col_b,col_t,font;
xx1 = argument0 // x1 Position
yy1 = argument1 // y1 Position
xx2 = argument2 // x2 Position
yy2 = argument3 // y2 Position
mb = argument4 // Mousebutton (mb_left oder mb_right)
text = argument5 // Text auf dem Button 
col_b = argument6 // Farbe des Buttons
col_t = argument7 // Farbe des Textes
font = argument8 // Font des Textes (0 fr das aktuelle Font)
// Liefert zurck: 0 = Maus nicht ber Button ; 1 = Maus ber Button ; 2 = Maus drckt den Button ; 
//3 = Maus lsst den Button los ; 4 = Whrend die Maus den Button drckt
if(font != 0) {draw_set_font(font)}
if(mouse_x > xx1 && mouse_x < xx2 && mouse_y > yy1 && mouse_y < yy2)
    {
    draw_set_color(col_b)
    draw_button(xx1,yy1,xx2,yy2,0)
    draw_set_color(col_t)
    draw_text(xx1+((xx2-xx1-string_width(text))/2),yy1+((yy2-yy1-string_height(text))/2),text)
    if(mouse_check_button_pressed(mb)) {return 2}
    if(mouse_check_button(mb)) {return 4}
    if(mouse_check_button_released(mb)) {return 3}
    return 1;
    } 
else
    {
    draw_set_color(col_b)
    draw_button(xx1,yy1,xx2,yy2,1)
    draw_set_color(col_t)
    draw_text(xx1+((xx2-xx1-string_width(text))/2),yy1+((yy2-yy1-string_height(text))/2),text)
    return 0;
    }

#define draw_button_text
// http://www.gm-d.de/wbb/game-maker/game-maker-programmierung/erweiterungen-tools/21176-easybutton-buttons-zeichnen-und-abfrage/
// EasyButton by derkimba
//draw_button_text(x,y,mb,typ,text,col_0,col_1,font)
var xx,yy,mb,typ,text,col_0,col_1,font;
xx = argument0 // x-Position des Textes
yy = argument1 // y-Position des Textes
mb = argument2 // Mausbutton der gedrckt werden soll (mb_left oder mb_right)
typ = argument3 // Art der berprfung (0 = Pressed ; 1 = Released ; 2 = Whrend des drckens)
text = argument4 // Der Text der gezeichnet werden soll
col_0 = argument5 // Die Farbe des Textes wenn sich die Maus nicht darber befindet
col_1 = argument6 // Die Farbe des Textes wenn sich die Maus darber befindet
font = argument7 // Die Font des Textes (0 fr die aktuelle Font)
//
if(font != 0) {draw_set_font(font)}
if(mouse_x > xx && mouse_x < xx+string_width(text) && mouse_y > yy && mouse_y < yy+string_height(text))
    {
    draw_set_color(col_1)
    draw_text(xx,yy,text)
    switch(typ)
        {
        case 0: return(mouse_check_button_pressed(mb))
        case 1: return(mouse_check_button_released(mb))
        case 2: return(mouse_check_button(mb))
        }
    }
else
    {
    draw_set_color(col_0)
    draw_text(xx,yy,text)
    return false;
    }


#define draw_button_text_typ
// http://www.gm-d.de/wbb/game-maker/game-maker-programmierung/erweiterungen-tools/21176-easybutton-buttons-zeichnen-und-abfrage/
// EasyButton by derkimba
//draw_button_text_typ(x,y,mb,text,col_0,col_1,font) liefert den Typ zurck
var xx,yy,mb,text,col_0,col_1,font;
xx = argument0 // x-Position des Textes
yy = argument1 // y-Position des Textes
mb = argument2 // Mausbutton der gedrckt werden soll (mb_left oder mb_right)
text = argument3 // Der Text der gezeichnet werden soll
col_0 = argument4 // Die Farbe des Textes wenn sich die Maus nicht darber befindet
col_1 = argument5 // Die Farbe des Textes wenn sich die Maus darber befindet
font = argument6 // Die Font des Textes (0 fr die aktuelle Font)
// Liefert zurck: 0 = Maus nicht ber Button ; 1 = Maus ber Button ; 2 = Maus drckt den Button ;
// 3 = Maus lsst den Button los ; 4 = Whrend die Maus den Button drckt
if(font != 0) {draw_set_font(font)}
if(mouse_x > xx && mouse_x < xx+string_width(text) && mouse_y > yy && mouse_y < yy+string_height(text))
    {
    draw_set_color(col_1)
    draw_text(xx,yy,text)
    if(mouse_check_button_pressed(mb)) {return 2}
    if(mouse_check_button(mb)) {return 4}
    if(mouse_check_button_released(mb)) {return 3}
    return 1;
    }
else
    {
    draw_set_color(col_0)
    draw_text(xx,yy,text)
    return 0;
    }


